# frozen_string_literal: true

module Bulkrax
  class CrcFolderComplexSessionEntry < CsvEntry
    def build
      complex_session = ComplexSession.new(session_title: self.raw_metadata['title'])
      complex_session.source_identifier = identifier
      complex_session.parent_source_identifier = self.raw_metadata['for_complex_identifier']
      if complex_session.save
        self.status_info
      end
    end
  end
end
