# frozen_string_literal: true

module Bulkrax
  class CrcFolderComplexModalityEntry < CsvEntry
    def build
      complex_modality = ComplexModality.new(modality: self.raw_metadata['modality'])
      complex_modality.source_identifier = identifier
      complex_modality.parent_source_identifier = self.raw_metadata['for_complex_identifier']
      if complex_modality.save
        self.status_info
      end
    end
  end
end
