require 'rails_helper'

RSpec.describe ComplexSubject do
  before do
    ActiveFedora::Cleaner.clean!
  end
  it 'creates a complex subject with its attributes' do
    user = User.find_by(email: 'admin@hyrax')
    crc_dataset = create(:crc_dataset)

    
    complex_subject = build(:complex_subject, :subject_identifier, :subject_species, :subject_type, crc_dataset_id: crc_dataset.id)

    expect(complex_subject.crc_dataset.id).to eq(crc_dataset.id)
  end
end